summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2005-04-20 04:35:02 +0000
committerMike Frysinger <vapier@gentoo.org>2005-04-20 04:35:02 +0000
commit5aec45680c08977a6af34355696f41573635c5d5 (patch)
tree0129d490107c3610e08e0cf74231ca2fcc8af6f8 /sys-devel/gettext/files/gettext-0.14.1-tempfile.patch
parentupdate SRC_URI (diff)
downloadgentoo-2-5aec45680c08977a6af34355696f41573635c5d5.tar.gz
gentoo-2-5aec45680c08977a6af34355696f41573635c5d5.tar.bz2
gentoo-2-5aec45680c08977a6af34355696f41573635c5d5.zip
Add tempfile patch to resolve #85766.
(Portage version: 2.0.51.19)
Diffstat (limited to 'sys-devel/gettext/files/gettext-0.14.1-tempfile.patch')
-rw-r--r--sys-devel/gettext/files/gettext-0.14.1-tempfile.patch75
1 files changed, 75 insertions, 0 deletions
diff --git a/sys-devel/gettext/files/gettext-0.14.1-tempfile.patch b/sys-devel/gettext/files/gettext-0.14.1-tempfile.patch
new file mode 100644
index 000000000000..78de04610918
--- /dev/null
+++ b/sys-devel/gettext/files/gettext-0.14.1-tempfile.patch
@@ -0,0 +1,75 @@
+diff -ur gettext-0.14.1.orig/gettext-tools/misc/autopoint.in gettext-0.14.1/gettext-tools/misc/autopoint.in
+--- gettext-0.14.1.orig/gettext-tools/misc/autopoint.in 2004-01-29 20:17:27.000000000 +0100
++++ gettext-0.14.1/gettext-tools/misc/autopoint.in 2004-09-20 10:26:14.000000000 +0200
+@@ -39,14 +39,7 @@
+ */* | *\\*) ;;
+ *) # Need to look in the PATH.
+ if test "${PATH_SEPARATOR+set}" != set; then
+- { echo "#! /bin/sh"; echo "exit 0"; } > /tmp/conf$$.sh
+- chmod +x /tmp/conf$$.sh
+- if (PATH="/nonexistent;/tmp"; conf$$.sh) >/dev/null 2>&1; then
+- PATH_SEPARATOR=';'
+- else
+- PATH_SEPARATOR=:
+- fi
+- rm -f /tmp/conf$$.sh
++ PATH_SEPARATOR=:
+ fi
+ save_IFS="$IFS"; IFS="$PATH_SEPARATOR"
+ for dir in $PATH; do
+@@ -318,7 +311,15 @@
+ cvs_dir=tmpcvs$$
+ work_dir=tmpwrk$$
+ mkdir "$cvs_dir"
++if [ $? -ne 0 ]; then
++ echo "ERROR making $cvs_dir"
++ exit 1
++fi
+ mkdir "$work_dir"
++if [ $? -ne 0 ]; then
++ echo "ERROR making $work_dir"
++ exit 1
++fi
+ CVSROOT="$srcdir/$cvs_dir"
+ export CVSROOT
+ unset CVS_CLIENT_LOG
+@@ -384,8 +385,7 @@
+ # original - too great risk of version mismatch.
+ if test -z "$force"; then
+ mismatch=
+- mismatchfile="${TMPDIR-/tmp}"/autopoint$$.diff
+- rm -f "$mismatchfile"
++ mismatchfile="`mktemp -t autopoint.diff.XXXXXX`"
+ for file in `find "$work_dir/archive" -type f -print | sed -e "s,^$work_dir/archive/,," | LC_ALL=C sort`; do
+ func_destfile "$file"
+ if test -n "$destfile"; then
+@@ -417,6 +417,10 @@
+ # Recompute base. It was clobbered by the recursive call.
+ base=`echo "$1" | sed -e 's,/[^/]*$,,'`
+ test -d "$base" || { echo "Creating directory $base"; mkdir "$base"; }
++ if [ $? -ne 0 ]; then
++ echo "ERROR making directory $base"
++ exit 1
++ fi
+ fi
+ }
+
+diff -ur gettext-0.14.1.orig/gettext-tools/misc/gettextize.in gettext-0.14.1/gettext-tools/misc/gettextize.in
+--- gettext-0.14.1.orig/gettext-tools/misc/gettextize.in 2004-01-20 12:30:06.000000000 +0100
++++ gettext-0.14.1/gettext-tools/misc/gettextize.in 2004-09-20 10:22:39.000000000 +0200
+@@ -39,14 +39,7 @@
+ */* | *\\*) ;;
+ *) # Need to look in the PATH.
+ if test "${PATH_SEPARATOR+set}" != set; then
+- { echo "#! /bin/sh"; echo "exit 0"; } > /tmp/conf$$.sh
+- chmod +x /tmp/conf$$.sh
+- if (PATH="/nonexistent;/tmp"; conf$$.sh) >/dev/null 2>&1; then
+- PATH_SEPARATOR=';'
+- else
+- PATH_SEPARATOR=:
+- fi
+- rm -f /tmp/conf$$.sh
++ PATH_SEPARATOR=:
+ fi
+ save_IFS="$IFS"; IFS="$PATH_SEPARATOR"
+ for dir in $PATH; do